body {
    font-family: 'Open Sans';
    margin: 0;
    padding: 0;
    text-align: center;
    background-color: #7E93A6;
}

main {
    
}

header {
    background-color: #222A31;;
    color: white;
    padding-top: 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 10px;
    position: relative;
    z-index: 10;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);

}

.logo img {
    height: 80px;   
}

h1 {
    font-size: 26px;
    font-weight: 400;
    margin-top: 0px;
    margin-bottom: 0px;
}

h2 {
    font-size: 26px;
    font-weight: 400;
    margin-top: 0px;
    margin-bottom: 0px;
}

p {
    font-size: 18px;
    font-weight: 400;
}

a {
    font-size: 16px;
    font-weight: 400;
    color: white;
    text-decoration:none;

}

a:hover {
    color: white;
}

a:visited {
    color: white;
}


.btn {
    display: inline-block;
    margin: 10px;
    padding: 10px 20px;
    background-color: #08a5eb;
    color: white;
    text-decoration: none;
    border-radius: 5px;
}

.btn:hover {
    background-color: #077eb5;
}

.btn-login {
    background-color: #ee7e1a;
}

.btn-login:hover {
    background-color: #ce6c16;
}

section {
    padding-left: 15%;
    padding-right: 15%;
    padding-top: 10px;
    padding-bottom: 10px;
}
.category-section {
    padding-top: 3%;
}

.content {
    font-size: 16px;
    font-weight: 400;
    padding-bottom: 2%;
    padding-top: 2%;
    margin-bottom: 2%;
    background-color: #fff;
}

.picture {
    height: 400px;
    background-image: url('/images/Checklisten_org_1.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.picture p {
    position: relative;
    Top: 100px;
    font-weight: 600;
    font-size: 4em;
    color: rgb(105, 105, 105);
    display: inline;
    background-color: #ffffffb8;
  }

  .picture strong {
    font-weight: 800;
    color: green;
  }

.headline {
    background-color: #08a5eb;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);
  }

.headline h2 {
    font-weight: 400;
    font-size: 30px;
    color: #fff;
    display: inline;
  }


.checklist-container {
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    display: flex;
    background-color: #222A31;
    overflow: hidden;
    margin-top: 130px; 
}


footer {
    background-color: #222A31;
    color: white;
    text-align: center;
    width: 100%;
    position: absolute;
}

footer p {
    font-size: 16px;
    font-weight: 400;
}

/* Kartenansicht */
.grid-view {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(24%, auto));
    gap: 20px;
    padding: 20px;
}

.card {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5);
    border: 2px solid #222A31;
    overflow: hidden;
    transition: transform 0.3s ease;
    position: relative;
    height: 425; 
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.card:hover {
     transform: translateY(-5px);
}

.card img {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.card-content {
    flex: 1;
    overflow: hidden;
    padding: 15px;
    text-align: center;
}

.card-content h4 {
    font-size: 18px;
    font-weight: 600;
    color: #222A31;
    line-height: 1.4em; /* Line height for readability */
    height: 4.2em; /* Max height to show 2 lines */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3; /* Limit to 2 lines */
    -webkit-box-orient: vertical;
}

.card-content p {
    font-size: 16px;
    font-weight: 400;
    color: #000000;
    line-height: 1.4em; /* Line height for readability */
    height: 4.2em; /* Max height to show 2 lines */
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3; /* Limit to 2 lines */
    -webkit-box-orient: vertical;
    }


.card-content button {
    font-family: 'Open Sans';
    background-color: #08a5eb;
    color: #fff;
    font-size: 16px;
    font-weight: 400;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    padding: 10px;
}

.card-content button:hover {
    background-color: #077eb5;
}

.checklist-card {
    display: block;
}


/* Mobile (bis 768px) */
@media (max-width: 768px) {

    .logo img {
        height: 50px;
      }

    section {
        padding-left: 5%;
        padding-right: 5%;
    }

    .grid-view {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(50%, auto));
        gap: 20px;
        padding: 20px;
      }

      h2 {
        font-size: 22px;
      }

    .picture p {
        font-size: 2.5em;
      }

}


/* Tablets (768px - 1024px) */
@media (min-width: 769px) and (max-width: 1080px) {

    .logo img {
        height: 50px;
      }

    section {
        padding-left: 10%;
        padding-right: 10%;
    }

    .grid-view {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(40%, auto));
        gap: 20px;
        padding: 20px;
      }

      h2 {
        font-size: 22px;
      }

      .picture p {
        font-size: 3em;
      }

}